Package org.apache.groovy.parser.antlr4

# Class GroovyParser.MemberDeclarationContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.MemberDeclarationContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

public static class GroovyParser.MemberDeclarationContext extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `t`

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemberDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`
  `MemberDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState, int t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<Result> Result`
  `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)`
  `GroovyParser.ClassDeclarationContext`
  `classDeclaration()`
  `GroovyParser.CompactConstructorDeclarationContext`
  `compactConstructorDeclaration()`
  `GroovyParser.FieldDeclarationContext`
  `fieldDeclaration()`
  `int`
  `getRuleIndex()`
  `GroovyParser.MethodDeclarationContext`
  `methodDeclaration()`
  `GroovyParser.ModifiersOptContext`
  `modifiersOpt()`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### t

    public int t

- ## Constructor Details

  - ### MemberDeclarationContext

    public MemberDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

  - ### MemberDeclarationContext

    public MemberDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState, int t)

- ## Method Details

  - ### methodDeclaration

    public GroovyParser.MethodDeclarationContext methodDeclaration()

  - ### fieldDeclaration

    public GroovyParser.FieldDeclarationContext fieldDeclaration()

  - ### modifiersOpt

    public GroovyParser.ModifiersOptContext modifiersOpt()

  - ### classDeclaration

    public GroovyParser.ClassDeclarationContext classDeclaration()

  - ### compactConstructorDeclaration

    public GroovyParser.CompactConstructorDeclarationContext compactConstructorDeclaration()

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`